#include <intuition/intuitionbase.h>

#define SZ(x) sizeof(struct x)
#define DATASIZE (sizeof(structdata) / sizeof(struct StructData))
#define PTRSIZE   (sizeof(APTR))
#define INTSIZE   (sizeof(int))
#define BYTESIZE  (sizeof(char))
#define MAXGADG 16
#define MOREGADG 25  /* ID of "more" gadget */

/* defines for print formats */
#define PRNULL      0
#define PRLONG      1
#define PRINT       2
#define PRBYTE      3
#define PRSTRING    4
#define PRPTR       5
#define PRULONG     6
#define PRUINT      7
#define PRUBYTE     8

struct StructData {
   char *membername;
   char *membertype;
   int  printtype;
   int  datasize;
};
