#include <exec/tasks.h>

struct Task *MyTask, *FindTask();

struct TrapData {
   long TrapNum;         /* trap number will be stored here       */
   int (*Code)();        /* pointer to user trap handler function */
   USHORT MLcode[14];    /* trap-handler machine code goes here   */
};

struct TrapData MyTrap = {
   0,
   NULL,    /* trap code address will be filled in later */
   0x201F,                 /* MOVE.L  (A7)+,D0        */
   0x41FA, 0xFFF4,         /* LEA     *-$A,A0         */
   0x2080,                 /* MOVE.L  D0,(A0)         */
   0xB0BC, 0x0000, 0x0003, /* CMP.L   #3,D0           */
   0x6202,                 /* BHI.S   *+4             */
   0x504F,                 /* ADDQ.W  #8,A7           */
   0x41FA, 0xFFE8,         /* LEA     *-$16,A0        */
   0x2F50, 0x0002,         /* MOVE.L  (A0),2(A7)      */
   0x4E73                  /* RTE                     */
};

