/*
   Handles the Intuition Border structure
*/

#include "header/sb.h"

extern int level;         /* recursion level */


/*
  PrBorder

  Put up the data for a Border structure
*/

PrBorder (string, border)
char *string;
struct Border *border;
{
static struct StructData structdata [] =
  {
     { "-LeftEdge",     "SHORT",               PRINT,      INTSIZE },
     { "-TopEdge",      "SHORT",               PRINT,      INTSIZE },
     { "-FrontPen",     "UBYTE",               PRUBYTE,    BYTESIZE},
     { "-BackPen",      "UBYTE",               PRUBYTE,    BYTESIZE},
     { "-DrawMode",     "UBYTE",               PRUBYTE,    BYTESIZE},
     { "-Count",        "BYTE",                PRBYTE,     BYTESIZE},
     { " XY",           "SHORT *",             PRPTR,      PTRSIZE },
     { " NextBorder",   "struct Border *",     PRPTR,      PTRSIZE }
  };
int sum;
int choice = -1;

   level++;

   while (choice)
   {
      sum = SetOptionText(string, structdata, (APTR)border, DATASIZE, 0);

      switch (choice = GetChoice(DATASIZE))
      {
         case 7:
            if (border->XY)
               HexDump("Border co-ordinate pairs",
                     border->XY,
                     INTSIZE,
                     (long)(border->Count << 2)
                     );
            break;
         case 8:
            if (border->NextBorder)
               PrBorder("The next Border", border->NextBorder);
            break;
      }
   }
   level--;
}
